> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Manually trigger recovery email

> This endpoint allows you to manually trigger a recovery email for an abandoned cart specified by its ID. It checks the cart's status, and if it hasn't been recovered, it will regenerate the recovery URL using the Blink checkout session and dispatch a recovery email to the customer. It increments the recovery email sent counter regardless of email success.

**Usage:** Useful when you want to manually re-initiate the recovery process for a specific cart.



## OpenAPI

````yaml post /cart-recovery/{id}/recover
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /cart-recovery/{id}/recover:
    post:
      tags:
        - Cart Recovery
      summary: Manually trigger recovery email
      description: >-
        This endpoint allows you to manually trigger a recovery email for an
        abandoned cart specified by its ID. It checks the cart's status, and if
        it hasn't been recovered, it will regenerate the recovery URL using the
        Blink checkout session and dispatch a recovery email to the customer. It
        increments the recovery email sent counter regardless of email success.


        **Usage:** Useful when you want to manually re-initiate the recovery
        process for a specific cart.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful recovery initiation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecoveryResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    RecoveryResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            cart_id:
              type: string
            customer_email:
              type: string
            recovery_emails_sent:
              type: integer
            recovery_url:
              type: string
            email_sent:
              type: boolean

````